
Application: gvSIG desktop - gvSIG bugs #736
Throws an exception creating a vectorial layer (II part)
06/01/2012 09:46 AM - Ignacio Brodín

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Vector editing
Target version: 2.0.0-devel-2050
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Steps:

Open New Layer Wizard
Select "Creación de nueva capa shape" 
Press "Siguiente" button 
Select a output file, ie, /tmp/out.shp
Press "Siguiente" button
Press "Final" button 
gvSIG crashes and the layer is not created.

If you create a field happends the same

org.gvsig.newlayer.impl.DefaultNewLayerService$CantCreateNewLayerException: Can't create the layer
    at org.gvsig.newlayer.impl.DefaultNewLayerService.createLayer(DefaultNewLayerService.java:79)
    at org.gvsig.newlayer.impl.DefaultNewLayerWizard$MyFinishAction.performAction(DefaultNewLayerWizard.java:171)
    at jwizardcomponent.DefaultJWizardComponents.finishButton_actionPerformed(Unknown Source)
    at jwizardcomponent.DefaultJWizardComponents$4.actionPerformed(Unknown Source)
    at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1995)
    at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
    at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
    at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
    at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:236)
    at java.awt.Component.processMouseEvent(Component.java:6263)
    at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
    at java.awt.Component.processEvent(Component.java:6028)
    at java.awt.Container.processEvent(Container.java:2041)
    at java.awt.Component.dispatchEventImpl(Component.java:4630)
    at java.awt.Container.dispatchEventImpl(Container.java:2099)
    at java.awt.Component.dispatchEvent(Component.java:4460)
    at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4574)
    at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4238)
    at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4168)
    at java.awt.Container.dispatchEventImpl(Container.java:2085)
    at java.awt.Window.dispatchEventImpl(Window.java:2478)
    at java.awt.Component.dispatchEvent(Component.java:4460)
    at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:59)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:178)
    at java.awt.Dialog$1.run(Dialog.java:1046)
    at java.awt.Dialog$3.run(Dialog.java:1098)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.awt.Dialog.show(Dialog.java:1096)
    at java.awt.Component.show(Component.java:1563)
    at java.awt.Component.setVisible(Component.java:1515)
    at java.awt.Window.setVisible(Window.java:842)
    at java.awt.Dialog.setVisible(Dialog.java:986)
    at org.gvsig.coreplugin.mdiManager.NewSkin.addJDialog(NewSkin.java:689)
    at org.gvsig.coreplugin.mdiManager.NewSkin.addWindow(NewSkin.java:361)
    at org.gvsig.coreplugin.mdiManager.NewSkin.addWindow(NewSkin.java:410)
    at org.gvsig.andami.ui.ToolsWindowManager.showWindow(ToolsWindowManager.java:67)
    at org.gvsig.andami.ui.ToolsWindowManager.showWindow(ToolsWindowManager.java:61)
    at org.gvsig.newlayer.app.extension.NewLayerExtension.execute(NewLayerExtension.java:65)
    at org.gvsig.andami.plugins.ExtensionDecorator.execute(ExtensionDecorator.java:94)
    at org.gvsig.andami.ui.mdiFrame.MDIFrame.actionPerformed(MDIFrame.java:753)
    at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1995)
    at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
    at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
    at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
    at javax.swing.AbstractButton.doClick(AbstractButton.java:357)
    at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:1223)
    at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:1264)
    at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:272)
    at java.awt.Component.processMouseEvent(Component.java:6263)
    at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
    at java.awt.Component.processEvent(Component.java:6028)
    at java.awt.Container.processEvent(Container.java:2041)
    at java.awt.Component.dispatchEventImpl(Component.java:4630)
    at java.awt.Container.dispatchEventImpl(Container.java:2099)
    at java.awt.Component.dispatchEvent(Component.java:4460)
    at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4574)
    at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4238)
    at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4168)
    at java.awt.Container.dispatchEventImpl(Container.java:2085)
    at java.awt.Component.dispatchEvent(Component.java:4460)
    at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:59)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
    at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
Caused by: org.gvsig.fmap.dal.exception.ServerExplorerAddException: Exception creating 'FilesystemExplorer'.
    at
org.gvsig.fmap.dal.serverexplorer.filesystem.impl.DefaultFilesystemServerExplorer.add(DefaultFilesystemServerExplorer.java:198)
    at org.gvsig.newlayer.impl.DefaultNewLayerService.createLayer(DefaultNewLayerService.java:76)
    ... 70 more
Caused by: org.gvsig.fmap.dal.exception.ValidateDataParametersException: Checks parameters
    at org.gvsig.fmap.dal.spi.AbstractDataParameters.validate(AbstractDataParameters.java:156)
    at org.gvsig.fmap.dal.store.shp.SHPStoreParameters.validate(SHPStoreParameters.java:52)
    at
org.gvsig.fmap.dal.serverexplorer.filesystem.impl.DefaultFilesystemServerExplorer.add(DefaultFilesystemServerExplorer.java:192)
    ... 71 more
Caused by: org.gvsig.tools.dynobject.exception.DynObjectValidateException: Errors found validating
'Persistence:SHPNewStoreParameters'.
  Field 'geometryType': Value required.
  Field 'CRS': Value required.
    at org.gvsig.tools.dynobject.impl.DefaultDynClass.validate(DefaultDynClass.java:525)
    at org.gvsig.fmap.dal.spi.AbstractDataParameters.validate(AbstractDataParameters.java:154)
    ... 73 more

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 735: Throws an exception... Closed 06/01/2012

History
#1 - 07/02/2012 08:34 PM - Manuel Madrid
- Category set to Vector editing
- Target version set to 2.0.0-rc1

#2 - 07/10/2012 11:21 AM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#3 - 07/10/2012 03:19 PM - Juan Lucas Domínguez
- Status changed from New to Fixed

This problem does not happen after revision:
https://devel.gvsig.org/redmine/projects/gvsig-desktop/repository/revisions/38549

#4 - 07/11/2012 10:34 AM - Juan Lucas Domínguez
- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2050

#5 - 08/23/2012 02:06 PM - María Maluenda
- Status changed from Fixed to Closed

Closed in the gvSIG build 2051
